OSGeo4w 2.2 build missing ECW support

2014-05-04 06:29 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 18629

Description

Seems the ECW support no longer works in the 2.2 build of OSGeo4W (32) bit.  Might be related to the 1.11 GDAL update as 2.2 is still

on 1.10.  Not sure but just guessing as ECWs work in qgis-dev.

History

#1 - 2014-05-05 01:22 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to up/downstream

QGIS 2.2 is built against GDAL 1.10.

#2 - 2014-05-05 03:04 AM - Nathan Woodrow

And we can't have both gdal plugin versions installed?  Is that correct?

#3 - 2014-05-13 03:33 AM - Jürgen Fischer

See also http://trac.osgeo.org/osgeo4w/ticket/417

#4 - 2014-05-20 01:12 AM - Miroslav Umlauf

Does this link from QGIS FAQ helps as workaround before the whole problem will be solved? 

http://www.faunalia.com/content/adding-ecw-support-quantum-gis

#5 - 2014-05-20 03:22 AM - Giovanni Manghi

Miroslav Umlauf wrote:

Does this link from QGIS FAQ helps as workaround before the whole problem will be solved? 

http://www.faunalia.com/content/adding-ecw-support-quantum-gis

it should work, but use this
http://www.gisinternals.com/sdk/Download.aspx?file=release-1600-gdal-1-10-1-mapserver-6-4-1\\gdal-110-1600-ecw.msi

#6 - 2014-05-20 04:27 PM - Miroslav Umlauf

Thank you. I have installed that msi but there is only gdal_ECW_JP2ECW.dll (no libecwj2.dll). Also gdal_ECW_JP2ECW.dll is already in folder

C:\\OSGeo4W64\\bin\\gdalplugins.

Update: On Win 8/32 and OSGeo4W, QGIS 2.2 it works. After installing 

http://www.gisinternals.com/sdk/Download.aspx?file=release-1600-gdal-1-10-1-mapserver-6-4-1\\gdal-110-1600-ecw.msi I took the C:\\Program

Files\\GDAL\\NCSEcw.dll and C:\\Program Files\\GDAL\\gdalplugins\\gdal_ECW_JP2ECW.dll and overwritten existing dlls in

C:\\OSGeo4W\\bin\\NCSEcw.dll and C:\\OSGeo4W\\bin\\gdalplugins\\gdal_ECW_JP2ECW.dll.

After some more testing only the C:\\OSGeo4W\\bin\\gdalplugins\\gdal_ECW_JP2ECW.dll is needed to replace on Win 8/32.

On Win 7 64 it is needed to download 

http://www.gisinternals.com/sdk/Download.aspx?file=release-1600-x64-gdal-1-10-1-mapserver-6-4-1\\gdal-110-1600-x64-ecw.msi and copy the

C:\\Program Files\\GDAL\\gdalplugins\\gdal_ECW_JP2ECW.dll to C:\\OSGeo4W64\\bin\\gdalplugins\\gdal_ECW_JP2ECW.dll

#7 - 2014-05-20 11:37 PM - Jürgen Fischer

This is not a qgis problem - hence I closed the ticket.   QGIS 2.2 in OSGeo4W is built against GDAL 1.10.   OSGeo4W moved on to GDAL 1.11.   There is

a compatibility package that provides GDAL 1.10 that QGIS 2.2 uses, but that doesn't extent to the plugins.   qgis-dev (the master build) is built against

GDAL 1.11.

If you need QGIS with GDAL plugins, you can still use the standalone installer for 2.2 (it has GDAL 1.10) or qgis-dev.  Downgrading GDAL and it's plugins

to 1.10 in OSGeo4W is also an option - but that will likely break qgis-dev.

#8 - 2014-06-18 12:20 AM - Andre Joost

I wrote a workaround here:

http://gis.stackexchange.com/questions/102193/how-to-change-gdal-version-in-qgis-to-get-ecw-import-to-work

Downgrading the ecw driver in OSGEO4W still works.

QGIS 2.4 should solve the problem anyway.
